Create new or update existing activity entities

Request

Security
(bearer and appkey) or (sauth_service_token and appkey)
Headers
slb-partition-idstringrequired

Slb partition id

Body

A list of activity entities to be created or updated

Array [
idstring or null
activity_end_mdnumber or null, (double)
activity_catalog_idstring or null
activity_start_mdnumber or null, (double)
section_idstring or null
hole_bottom_mdnumber or null, (double)
hole_bottom_tvdnumber or null, (double)
hole_top_mdnumber or null, (double)
hole_top_tvdnumber or null, (double)
commentsstring or null
data_sourcestring or null
descriptionstring or null
end_datestring or null, (date-time)
npt_reasonstring or null
start_datestring or null, (date-time)
time_classificationstring or null
well_guidstring or null
hole_sizenumber or null, (double)
]
curl -i -X POST \
  https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/activities \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -H 'appkey: YOUR_API_KEY_HERE' \
  -H 'slb-partition-id: string' \
  -d '[
    {
      "id": "string",
      "activity_end_md": 0.1,
      "activity_catalog_id": "string",
      "activity_start_md": 0.1,
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "comments": "string",
      "data_source": "string",
      "description": "string",
      "end_date": "2019-08-24T14:15:22Z",
      "npt_reason": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "time_classification": "string",
      "well_guid": "string",
      "hole_size": 0.1
    }
  ]'

Responses

Created

Body
total_entity_countinteger, (int32)
created_entity_countinteger, (int32)
updated_entity_countinteger, (int32)
created_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.ActivitySearchDto)
updated_entitiesArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.ActivitySearchDto)
entity_violationsArray of objects or null(Slb.DrillPlan.OffsetDataIngestion.Model.Dto.EntityViolation`1[[Slb.DrillPlan.OffsetDataIngestion.Model.Dto.ActivitySearchDto, Slb.DrillPlan.OffsetDataIngestion.Model, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]])
action_succeededboolean
master_errorstring or null
dependent_action_errorsArray of strings or null
action_keystring or null
Response
{
  "total_entity_count": 0,
  "created_entity_count": 0,
  "updated_entity_count": 0,
  "created_entities": [
    {
      "well_name": "string",
      "duration": 0.1,
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "id": "string",
      "activity_end_md": 0.1,
      "activity_catalog_id": "string",
      "activity_start_md": 0.1,
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "comments": "string",
      "data_source": "string",
      "description": "string",
      "end_date": "2019-08-24T14:15:22Z",
      "npt_reason": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "time_classification": "string",
      "well_guid": "string",
      "hole_size": 0.1
    }
  ],
  "updated_entities": [
    {
      "well_name": "string",
      "duration": 0.1,
      "physical_container_name": "string",
      "creation_utc_timestamp": "2019-08-24T14:15:22Z",
      "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
      "version": 0,
      "id": "string",
      "activity_end_md": 0.1,
      "activity_catalog_id": "string",
      "activity_start_md": 0.1,
      "section_id": "string",
      "hole_bottom_md": 0.1,
      "hole_bottom_tvd": 0.1,
      "hole_top_md": 0.1,
      "hole_top_tvd": 0.1,
      "comments": "string",
      "data_source": "string",
      "description": "string",
      "end_date": "2019-08-24T14:15:22Z",
      "npt_reason": "string",
      "start_date": "2019-08-24T14:15:22Z",
      "time_classification": "string",
      "well_guid": "string",
      "hole_size": 0.1
    }
  ],
  "entity_violations": [
    {
      "source": {
        "well_name": "string",
        "duration": 0.1,
        "physical_container_name": "string",
        "creation_utc_timestamp": "2019-08-24T14:15:22Z",
        "last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
        "version": 0,
        "id": "string",
        "activity_end_md": 0.1,
        "activity_catalog_id": "string",
        "activity_start_md": 0.1,
        "section_id": "string",
        "hole_bottom_md": 0.1,
        "hole_bottom_tvd": 0.1,
        "hole_top_md": 0.1,
        "hole_top_tvd": 0.1,
        "comments": "string",
        "data_source": "string",
        "description": "string",
        "end_date": "2019-08-24T14:15:22Z",
        "npt_reason": "string",
        "start_date": "2019-08-24T14:15:22Z",
        "time_classification": "string",
        "well_guid": "string",
        "hole_size": 0.1
      },
      "violations": [
        {
          "fatal_violation": true,
          "details": "string"
        }
      ]
    }
  ],
  "action_succeeded": true,
  "master_error": "string",
  "dependent_action_errors": [
    "string"
  ],
  "action_key": "string"
}